JUCE: MidiDeviceListConnection Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
MidiDeviceListConnection Class Reference
juce_audio_devices » midi_io

To find out when the available MIDI devices change, call MidiDeviceListConnection::make(), passing a lambda that will be called on each configuration change. More...

`#include <juce_MidiDevices.h>`

## Public Types
using | Key = uint64_t

## Public Member Functions
| MidiDeviceListConnection ()=default
| Constructs an inactive connection.
| MidiDeviceListConnection (const MidiDeviceListConnection &)=delete
| MidiDeviceListConnection (MidiDeviceListConnection &&other) noexcept
MidiDeviceListConnection & | operator= (const MidiDeviceListConnection &)=delete
MidiDeviceListConnection & | operator= (MidiDeviceListConnection &&other) noexcept
| ~MidiDeviceListConnection () noexcept
void | reset () noexcept
| Clears this connection.

## Static Public Member Functions
static MidiDeviceListConnection | make (std::function< void()>)
| Registers a function to be called whenever the midi device list changes.

## Detailed Description

To find out when the available MIDI devices change, call MidiDeviceListConnection::make(), passing a lambda that will be called on each configuration change.

To stop the lambda receiving callbacks, destroy the MidiDeviceListConnection instance returned from make(), or call reset() on it.

// Start listening for configuration changes
auto connection = MidiDeviceListConnection::make ([]
{
// This will print a message when devices are connected/disconnected
DBG ("MIDI devices changed");
});
// Stop listening
connection.reset();
MidiDeviceListConnection::reset
void reset() noexcept
Clears this connection.
Definition juce_MidiDevices.h:80
MidiDeviceListConnection::make
static MidiDeviceListConnection make(std::function< void()>)
Registers a function to be called whenever the midi device list changes.
DBG
#define DBG(textToWrite)
Writes a string to the standard error stream.
Definition juce_PlatformDefs.h:146

## Member Typedef Documentation

## ◆ Key

using MidiDeviceListConnection::Key = uint64_t

## Constructor & Destructor Documentation

## ◆ MidiDeviceListConnection() [1/3]

MidiDeviceListConnection::MidiDeviceListConnection | ( |  | ) |
| default

Constructs an inactive connection.

Referenced by operator=(), and reset().

## ◆ MidiDeviceListConnection() [2/3]

MidiDeviceListConnection::MidiDeviceListConnection | ( | const MidiDeviceListConnection & |  | ) |
| delete

## ◆ MidiDeviceListConnection() [3/3]

MidiDeviceListConnection::MidiDeviceListConnection | ( | MidiDeviceListConnection && | other | ) |
| noexcept

## ◆ ~MidiDeviceListConnection()

MidiDeviceListConnection::~MidiDeviceListConnection | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ operator=() [1/2]

MidiDeviceListConnection & MidiDeviceListConnection::operator= | ( | const MidiDeviceListConnection & |  | ) |
| delete

## ◆ operator=() [2/2]

MidiDeviceListConnection & MidiDeviceListConnection::operator= | ( | MidiDeviceListConnection && | other | ) |
| noexcept

References MidiDeviceListConnection().

## ◆ reset()

void MidiDeviceListConnection::reset | ( |  | ) |
| noexcept

Clears this connection.

If this object had an active connection, that connection will be deactivated, and the corresponding callback will be removed from the MidiDeviceListConnectionBroadcaster.

References MidiDeviceListConnection().

## ◆ make()

static MidiDeviceListConnection MidiDeviceListConnection::make | ( | std::function< void()> |  | ) |
| static

Registers a function to be called whenever the midi device list changes.

The callback will only be active for as long as the return MidiDeviceListConnection remains alive. To stop receiving device change notifications, destroy the Connection object, e.g. by allowing it to fall out of scope.

The documentation for this class was generated from the following file:

- juce_MidiDevices.h